org.fourthline.cling.model.types

## Class CharacterDatatype

- java.lang.Object
- - org.fourthline.cling.model.types.AbstractDatatype<Character>
  - - org.fourthline.cling.model.types.CharacterDatatype

- All Implemented Interfaces:
    Datatype<Character>

      public class CharacterDatatype
      extends AbstractDatatype<Character>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.fourthline.cling.model.types.Datatype

      `Datatype.Builtin, Datatype.Default`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterDatatype()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isHandlingJavaType(Class type)`
    `Character` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

    - ### Methods inherited from class org.fourthline.cling.model.types.AbstractDatatype

      `getBuiltin, getDisplayString, getString, getValueType, isValid, setBuiltin, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterDatatype

          public CharacterDatatype()

  - ### Method Detail

    - #### isHandlingJavaType

          public boolean isHandlingJavaType(Class type)

      Specified by:
        `isHandlingJavaType` in interface `Datatype<Character>`
      Overrides:
        `isHandlingJavaType` in class `AbstractDatatype<Character>`
      Returns:
        `true` if this datatype can handle values of the given Java type.

    - #### valueOf

          public Character valueOf(String s)
                            throws InvalidValueException

      Description copied from interface: `Datatype`
      Transforms a string representation into a value of the supported type.
      Specified by:
        `valueOf` in interface `Datatype<Character>`
      Overrides:
        `valueOf` in class `AbstractDatatype<Character>`
      Parameters:
        `s` - The string representation of a value.
      Returns:
        The converted value or `null` if the string was `null` or empty.
      Throws:
        `InvalidValueException` - If the string couldn't be parsed.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.